<?php
get_header();

$column = get_option('nmd_toppage_column', 'multi');
$is_multi = $column === 'multi';
$is_top_page = (is_home() || is_front_page()) && $paged < 2;
$main_class = $is_multi ? "main main--multi-column" : "main";
?>
<div class="home-container">
    <?php if ($is_top_page) : ?>
        <div class="mv-section">
            <?php get_template_part('includes/main-visual'); ?>
        </div>
        <div id="carousel">
            <?php get_template_part('includes/carousel'); ?>
        </div>
        <div class="pickup" id="pickup">
            <?php get_template_part('includes/pickup'); ?>
        </div>
    <?php endif; ?>
    <div class="content" id="content">
        <div class="wrapper wrapper--home" id="wrapper">
            <main class="<?php echo $main_class; ?>">
                <div class="home-entry" id="list">
                    <?php get_template_part('includes/pickup-article'); ?>
                    <?php if ($is_top_page) : ?>
                        <?php get_template_part('includes/category-latest'); ?>
                        <?php $title = get_option('nmd_entries_title_top', __('新着記事', NMD_TEXT_DOMAIN)); ?>
                        <h2 class="home-entry__ttl" id="entries-ttl-top"><?php echo $title; ?></h2>
                    <?php else : ?>
                        <?php $title = get_option('nmd_entries_title', __('記事一覧', NMD_TEXT_DOMAIN)); ?>
                        <h2 class="home-entry__ttl" id="entries-ttl"><?php echo $title; ?></h2>
                    <?php endif; ?>
                    <?php get_template_part('includes/entries'); ?>
                </div>
            </main>
            <?php if ($is_multi) get_sidebar(); ?>
        </div>
    </div>
</div>
<?php
get_footer();
?>