<?php
$post_id    = isset($args['post_id']) ? $args['post_id'] : get_the_ID();

if(empty($post_id)) return;

$str_num_pc = isset($args['str_num_pc']) ? $args['str_num_pc'] : 30;
$str_num_sp = isset($args['str_num_sp']) ? $args['str_num_sp'] : 30;

$permalink	= get_the_permalink($post_id);
$title		= get_the_title($post_id);
$thumb_url	= nmd_get_thumbnail_url($post_id, 'medium_large');
$cat_data	= get_the_category($post_id);
$cat_name	= !empty($cat_data[0]) ? $cat_data[0]->name : '';
$datetime	= get_the_date('Y.m.d', $post_id);
?>
<a href="<?php echo $permalink; ?>" class="entry-wrap">
    <article class="entry-card">
        <figure class="entry-thumb">
            <img src="<?php echo $thumb_url; ?>" alt="<?php echo $title; ?>" />
        </figure>
        <div class="entry-body">
            <span class="entry-body__label">
                <?php echo $cat_name; ?>
            </span>
            <h2 class="entry-body__title">
                <?php echo nmd_mb_substr_text($title, $str_num_pc); ?>
            </h2>
            <h2 class="entry-body__title entry-body__title--sp">
                <?php echo nmd_mb_substr_text($title, $str_num_sp); ?>
            </h2>
            <span class="entry-body__date">
                <time datetime="<?php echo get_the_date('Y-m-d', $post_id); ?>">
                    <?php echo $datetime; ?>
                </time>
            </span>
        </div>
    </article>
</a>