<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * canonicalの設定
 */

if ( ! get_theme_mod('nmd_setting_canonical', true) ) return;

if ( is_home() || is_front_page() ) {

	$canonical_url = NMD_HOME_URL;

} elseif (is_singular()) {

	$post_id = get_the_ID();

	$custom_canonical = get_post_meta($post_id, 'custom_canonical', true);

	if ( ! empty( $custom_canonical ) ) {
		$canonical_url = esc_url($custom_canonical);
	} else {
		$canonical_url = (empty($_SERVER["HTTPS"]) ? "http://" : "https://") . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
	}

} elseif ( is_404() ) {
	/**
	 * 404ページでは何も出力しない
	 */
} elseif ( ! is_singular() ) {

	$canonical_url = ( empty( $_SERVER["HTTPS"] ) ? "http://" : "https://") . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
	
}
?>
<?php if ( ! empty( $canonical_url ) ) : ?>
	<link rel="canonical" href="<?php echo $canonical_url; ?>" />
<?php endif; ?>