<?php

/**
 * 背景色
 */
$bg_color = get_option('nmd_sub_header_bg_color', '#000000');
$style = 'background-color:' . $bg_color . ';';

/**
 * テキスト
 */
$type = get_option('nmd_sub_header_text_type', 'description');
$text = '';

if ($type === 'description') {
    $text = get_bloginfo('description');
} elseif ($type === 'custom') {
    $text = get_option('nmd_sub_header_text', '');
}

/**
 * 各種SNS
 */
$facebook   = get_option('nmd_sub_header_facebook_url', false);
$twitter    = get_option('nmd_sub_header_twitter_url', false);
$instagram  = get_option('nmd_sub_header_instagram_url', false);
$line       = get_option('nmd_sub_header_line_url', false);
$youtube    = get_option('nmd_sub_header_youtube_url', false);
?>
<div class="sub-header" style="<?php echo $style; ?>">
    <div class="nav-container">
        <p class="sub-header-concept" id="sub-header-concept">
            <?php echo $text; ?>
        </p>
        <div class="sub-header-sns">
            <?php if ($facebook) : ?>
                <a href="<?php echo esc_url($facebook); ?>" class="sub-header-sns__link">
                    <img src="<?php echo NMD_TEMPLATE_URI; ?>/assets/img/icon/share-clear/fb.svg" alt="facebook" width="30" height="30">
                </a>
            <?php endif; ?>
            <?php if ($twitter) : ?>
                <a href="<?php echo esc_url($twitter); ?>" class="sub-header-sns__link">
                    <img src="<?php echo NMD_TEMPLATE_URI; ?>/assets/img/icon/share-clear/tw.svg" alt="Twitter" width="30" height="30">
                </a>
            <?php endif; ?>
            <?php if ($instagram) : ?>
                <a href="<?php echo esc_url($instagram); ?>" class="sub-header-sns__link">
                    <img src="<?php echo NMD_TEMPLATE_URI; ?>/assets/img/icon/share-clear/ig.svg" alt="Instagram" width="30" height="30">
                </a>
            <?php endif; ?>
            <?php if ($line) : ?>
                <a href="<?php echo esc_url($line); ?>" class="sub-header-sns__link">
                    <img src="<?php echo NMD_TEMPLATE_URI; ?>/assets/img/icon/share-clear/line.svg" alt="LINE" width="30" height="30">
                </a>
            <?php endif; ?>
            <?php if ($youtube) : ?>
                <a href="<?php echo esc_url($youtube); ?>" class="sub-header-sns__link">
                    <img src="<?php echo NMD_TEMPLATE_URI; ?>/assets/img/icon/share-clear/yt.svg" alt="YouTube" width="30" height="30">
                </a>
            <?php endif; ?>
        </div>
    </div>
</div>