<?php
$pickup_id_list = get_option('nmd_pickup_article_id', false);

if (empty($pickup_id_list)) return;

$pickup_id_list = nmd_comma_separated_to_array($pickup_id_list);

$args = array(
	'pickup_id_list' => $pickup_id_list
);

$type = null;

$toppage_column = get_option('nmd_toppage_column', 'multi');

if ('single' === $toppage_column) {
	$type = get_option('nmd_pickup_article_type_1column', 'big1-mid2');
} else {
	$type = get_option('nmd_pickup_article_type_2column', 'sm1-mid2');
}

$type_1column   = get_option('nmd_pickup_article_type_1column', 'big1-mid2');

$pickup_title = get_option('nmd_pickup_article_title', '');

?>
<div class="article-layout">
	<?php if (!empty($pickup_title)) : ?>
		<h2 class="home-entry__ttl home-entry__ttl--pickup"><?php echo $pickup_title; ?></h2>
	<?php endif; ?>
	<?php
	if ('single' === $toppage_column) {

		switch ($type) {
			case 'big1-mid2':
				get_template_part('includes/article-layout/full-width/1bigSide2mid', null, $args);
				break;

			case 'mid2-mid2':
				get_template_part('includes/article-layout/full-width/2smside2mid', null, $args);
				break;

			case 'big1-sm2':
				get_template_part('includes/article-layout/full-width/1bigSide2sm', null, $args);
				break;

			case 'mid1-mid2':
				get_template_part('includes/article-layout/full-width/1midSide2mid', null, $args);
				break;

			case 'mid2-sm2':
				get_template_part('includes/article-layout/full-width/2midSide2mid', null, $args);
				break;

			default:
				echo '';
				break;
		}
	}

	if ('multi' === $toppage_column) {
		switch ($type) {
			case 'sm1-mid2':
				get_template_part('includes/article-layout/sidebar/1smSide2mid', null, $args);
				break;

			case 'mid1-sm3':
				get_template_part('includes/article-layout/sidebar/1midSide3sm', null, $args);
				break;

			default:
				echo '';
				break;
		}
	}
	?>
</div>

<?php if ('multi' === $toppage_column) : ?>
	<!-- 以下サイドバーあり -->
	<!-- サイドバー 小1+中2 -->
	<?php //get_template_part('includes/article-layout/sidebar/1smSide2mid'); 
	?>

	<!-- サイドバー 中1+小3 -->
	<?php //get_template_part('includes/article-layout/sidebar/1midSide3sm'); 
	?>
<?php endif; ?>