<?php
$pickup_id_list = get_option( 'nmd_slider_entry_id', false );

if ( empty( $pickup_id_list ) ) return;

$pickup_id_list = nmd_comma_separated_to_array( $pickup_id_list );

?>

<div class="slider">
    <div class="swiper-pickup">
        <div class="swiper-wrapper">
            <?php foreach($pickup_id_list as $post_id) : ?>
                <?php
                    $post_data		= get_post( $post_id );
                    $datetime		= get_the_date( 'Y-m-d', $post_id );
                    $datetime_text	= get_the_date( 'Y.m.d', $post_id );
                    $update_time	= get_the_modified_date( 'Y-m-d', $post_id );
                    $title			= $post_data->post_title;
                    $title		= nmd_mb_substr_text( $title, 43 );
                    $thumbs_url	= nmd_get_thumbnail_url( $post_id, 'large' );

                    $category = get_the_category($post_id);
                    $permalink = get_the_permalink( $post_id );
                ?>
                <a class="swiper-slide pickup-item" href="<?php echo $permalink; ?>">
                    <div class="slide-img pickup-item__img">
                        <img src="<?php echo $thumbs_url; ?>" alt="<?php echo $title; ?>" />
                    </div>
                    <div class="pickup-body">
                        <?php if(!empty($category[0])) : ?>
                            <span class="pickup-body__label"><?php echo $category[0]->name; ?></span>
                        <?php endif; ?>
                        <h2 class="pickup-body__title">
                            <?php echo $title; ?>
                        </h2>
                        <span class="pickup-body__date">
                            <time datetime="<?php echo $datetime; ?>"><?php echo $datetime_text; ?></time>
                        </span>
                    </div>
                </a>
            <?php endforeach; ?>
        </div>
        <div class="arrow-content">
            <div class="swiper-button-prev"></div>
            <div class="swiper-button-next"></div>
        </div>
    </div>
</div>