<?php

if (!defined('ABSPATH')) {
	exit;
}

if (!function_exists('nmd_customizer_register_common')) {
	function nmd_customizer_register_common($wp_customize)
	{
		/**
		 * パネルの追加 =========================================================
		 */
		$wp_customize->add_panel('nmd_common_panel', array(
			'title'    => __('[Nomad]共通設定', NMD_TEXT_DOMAIN),
			'priority' => 190,
		));

		/**
		 * カラム設定 =========================================================
		 */
		$wp_customize->add_section('nmd_section_column', array(
			'title'       => __('カラム設定', NMD_TEXT_DOMAIN),
			'panel'       => 'nmd_common_panel',
		));
		// トップページのカラム
		$wp_customize->add_setting('nmd_toppage_column', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'multi',
		));
		$wp_customize->add_control('nmd_toppage_column', array(
			'label'			=> __('トップページのカラム', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_column',
			'settings'		=> 'nmd_toppage_column',
			'type'			=> 'radio',
			'choices'	=> array(
				'single'=> '1カラム',
				'multi'	=> '2カラム',
			),
		));
		$wp_customize->selective_refresh->add_partial('nmd_toppage_column', array(
			'selector' => '#main',
		));

		// 投稿ページのカラム
		$wp_customize->add_setting('nmd_post_column', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'multi',
		));
		$wp_customize->add_control('nmd_post_column', array(
			'label'			=> '投稿ページのカラム',
			'section'		=> 'nmd_section_column',
			'settings'		=> 'nmd_post_column',
			'type'			=> 'radio',
			'choices'	=> array(
				'single' => '1カラム',
				'multi'	=> '2カラム',
			),
		));

		// 固定ページのカラム
		$wp_customize->add_setting('nmd_page_column', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'multi',
		));
		$wp_customize->add_control('nmd_page_column', array(
			'label'			=> '固定ページのカラム',
			'section'		=> 'nmd_section_column',
			'settings'		=> 'nmd_page_column',
			'type'			=> 'radio',
			'choices'	=> array(
				'single' => '1カラム',
				'multi'	=> '2カラム',
			),
		));

		// アーカイブページのカラム
		$wp_customize->add_setting('nmd_archive_column', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'multi',
		));
		$wp_customize->add_control('nmd_archive_column', array(
			'label'			=> 'アーカイブページのカラム（カテゴリー、タグ、月別など）',
			'section'		=> 'nmd_section_column',
			'settings'		=> 'nmd_archive_column',
			'type'			=> 'radio',
			'choices'	=> array(
				'single' => '1カラム',
				'multi'	=> '2カラム',
			),
		));

		/**
		 * 記事一覧のレイアウト =========================================================
		 */
		$wp_customize->add_section('nmd_section_archive_layout', array(
			'title'	=> '記事一覧のレイアウト',
			'panel'	=> 'nmd_common_panel',
		));
		// 2カラム時の記事一覧レイアウト
		$wp_customize->add_setting('nmd_archive_layout_multi', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'sidebar-1column',
		));
		$wp_customize->add_control('nmd_archive_layout_multi', array(
			'label'			=> '2カラム時の記事一覧レイアウト',
			'section'		=> 'nmd_section_archive_layout',
			'settings'		=> 'nmd_archive_layout_multi',
			'type'			=> 'radio',
			'choices'	=> array(
				'sidebar-1column'		=> '1列',
				'sidebar-1column-big'	=> '1列（大）',
				'sidebar-2columns'		=> '2列',
				'sidebar-2columns-big'	=> '2列（大）',
				'sidebar-3columns'		=> '3列',
			),
		));
		$wp_customize->selective_refresh->add_partial('nmd_archive_layout_multi', array(
			'selector' => '#list',
		));
		// 1カラム時の記事一覧レイアウト
		$wp_customize->add_setting('nmd_archive_layout_single', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'main-2columns',
		));
		$wp_customize->add_control('nmd_archive_layout_single', array(
			'label'			=> '1カラム時の記事一覧レイアウト',
			'section'		=> 'nmd_section_archive_layout',
			'settings'		=> 'nmd_archive_layout_single',
			'type'			=> 'radio',
			'choices'	=> array(
				'main-2columns'		=> '2列',
				'main-2columns-big'	=> '2列（大）',
				'main-3columns'		=> '3列',
				'main-4columns'		=> '4列',
			),
		));
		/**
		 * SNSシェア関連
		 */
		$wp_customize->add_section( 'nmd_section_share_sns', array(
			'title'		=> 'SNSシェア関連の設定',
			'panel'		=> 'nmd_common_panel',
		) );
		$wp_customize->add_setting( 'nmd_twitter_size', array(
			'type'				=> 'option',
			'default'			=> 'summary',
			'sanitize_callback'	=> 'nmd_sanitize_select',
		) );
		$wp_customize->add_control( 'nmd_twitter_size', array(
			'label'		=> 'Twitterでの表示サイズ',
			'section'	=> 'nmd_section_share_sns',
			'settings'	=> 'nmd_twitter_size',
			'type'		=> 'radio',
			'choices'	=> array(
				'summary'				=> 'summary',
				'summary_large_image'	=> 'summary large image',
			),
		) );

		/**
		 * 画像の設定
		 */
		$wp_customize->add_section( 'nmd_section_image', array(
			'title'			=> '画像関連設定',
			'panel'			=> 'nmd_common_panel',
			'description'	=> '各所画像の設定ができます。'
		) );

		// トップページのシェア用画像
		$wp_customize->add_setting( 'nmd_top_page_ogp_image', array(
			'sanitize_callback' => 'nmd_slug_sanitize_image',
		) );
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'nmd_top_page_ogp_image', array(
			'label'			=> 'Twitter・Facebookなどのシェアに使われる画像',
			'description'	=> 'トップページ・アーカイブページ（カテゴリーなど）をシェアした時に使われる画像です。',
			'section'		=> 'nmd_section_image',
			'settings'		=> 'nmd_top_page_ogp_image',
		) ) );
		
		// 投稿のデフォルトサムネイル画像
		$wp_customize->add_setting( 'nmd_default_thumbnail', array(
			'sanitize_callback' => 'nmd_slug_sanitize_image',
		) );
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'nmd_default_thumbnail', array(
			'label'			=> 'デフォルトのサムネイル画像',
			'description'	=> '記事のサムネイルが設定されていない場合、この画像が表示されます。',
			'section'		=> 'nmd_section_image',
			'settings'		=> 'nmd_default_thumbnail',
		) ) );
		
		// デフォルト画像を表示
		$wp_customize->add_setting('nmd_display_default_eyecatch', array(
			'sanitize_callback'	=> 'nmd_sanitize_checkbox',
		));
		$wp_customize->add_control('nmd_display_default_eyecatch', array(
			'label'			=> 'デフォルト画像を表示',
			'description'	=> '投稿ページにアイキャッチが設定されていない場合、デフォルト画像を表示します。',
			'section'		=> 'nmd_section_image',
			'settings'		=> 'nmd_display_default_eyecatch',
			'type'			=> 'checkbox',
		));
		$wp_customize->selective_refresh->add_partial('nmd_display_default_eyecatch', array(
			'selector' => '#entry-header',
		));

		/**
		 * ヘッダー設定 =========================================================
		 */
		$wp_customize->add_section('nmd_section_header', array(
			'title'	=> __('ヘッダー設定', NMD_TEXT_DOMAIN),
			'panel'	=> 'nmd_common_panel',
		));
		// ヘッダーのタイプ
		$wp_customize->add_setting('nmd_header_type', array(
			'type'				=> 'option',
			'default'			=> 'default',
			'sanitize_callback'	=> 'nmd_sanitize_select',
		));
		$wp_customize->add_control('nmd_header_type', array(
			'label'		=> __('ヘッダーのタイプ', NMD_TEXT_DOMAIN),
			'section'	=> 'nmd_section_header',
			'settings'	=> 'nmd_header_type',
			'type'		=> 'select',
			'choices'	=> array(
				'default'		=> __('デフォルト', NMD_TEXT_DOMAIN),
				'center_sns'	=> __('中央寄せSNSボタン', NMD_TEXT_DOMAIN),
				'center_cta'	=> __('中央寄せCTA', NMD_TEXT_DOMAIN),
				'center_search' => __('中央寄せ検索ボックス', NMD_TEXT_DOMAIN),
				'right_slim'	=> __('右寄せスリム', NMD_TEXT_DOMAIN),
			),
		));
		$wp_customize->selective_refresh->add_partial('nmd_header_type', array(
			'selector' => '#header',
		));

		// ロゴ画像
		$wp_customize->add_setting( 'nmd_logo_image', array(
			'sanitize_callback' => 'nmd_slug_sanitize_image',
		) );
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'nmd_logo_image', array(
			'label'		=> 'ヘッダー左上のサイトロゴ画像',
			'section'	=> 'nmd_section_header',
			'settings'	=> 'nmd_logo_image',
		) ) );
		$wp_customize->selective_refresh->add_partial('nmd_logo_image', array(
			'selector' => '#logo',
		));

		// ロゴの高さ
		$wp_customize->add_setting('nmd_logo_image_height', array(
			'type' => 'option',
			'default' => '36',
			'sanitize_callback' => 'nmd_sanitize_number_range',
		));
		$wp_customize->add_control('nmd_logo_image_height', array(
			'label'       => 'ロゴ画像の高さ',
			'description' => '20~50pxの範囲で設定できます。スリムを選んだ場合は反映されません。',
			'section'     => 'nmd_section_header',
			'settings'    => 'nmd_logo_image_height',
			'type'        => 'number',
			'input_attrs' => array(
				'step' => '1',
				'min'  => '20',
				'max' => '50'
			),
		));

		// 見出し
		$wp_customize->add_setting('nmd_hide_searchbox_hide_title', array(
			'sanitize_callback' => 'nmd_no_sanitize',
		));
		$wp_customize->add_control(new Nmd_Custom_Title($wp_customize, 'nmd_hide_searchbox_hide_title', array(
			'section' => 'nmd_section_header',
			'label'   => __('ヘッダー検索フォームの設定', NMD_TEXT_DOMAIN ),
		)));

		// ヘッダーの検索フォームを非表示
		$wp_customize->add_setting('nmd_hide_searchbox_header', array(
			'sanitize_callback'	=> 'nmd_sanitize_checkbox',
			'type'				=> 'option'
		));
		$wp_customize->add_control('nmd_hide_searchbox_header', array(
			'label'			=> __( 'ヘッダーの検索フォームを非表示', NMD_TEXT_DOMAIN ),
			'section'		=> 'nmd_section_header',
			'settings'		=> 'nmd_hide_searchbox_header',
			'type'			=> 'checkbox',
		));
		$wp_customize->selective_refresh->add_partial('nmd_hide_searchbox_header', array(
			'selector' => '#header-search-box',
		));

		// 見出し
		$wp_customize->add_control(new Nmd_Custom_Title($wp_customize, 'nmd_hide_sns_hide_title', array(
			'section' => 'nmd_section_header',
			'label'   => __('ヘッダーSNSの設定', NMD_TEXT_DOMAIN),
		)));		

		// 各種SNS
		$wp_customize->add_setting('nmd_header_sns_heading', array(
			'sanitize_callback' => 'nmd_no_sanitize',
		));
		$wp_customize->add_control(new Nmd_Custom_Heading($wp_customize, 'nmd_header_sns_heading', array(
			'section' => 'nmd_section_header',
			'label'   => __('各種SNSのリンク先', NMD_TEXT_DOMAIN),
			'description'   => __('「中央寄せSNSボタン」を選択した場合に表示されます。', NMD_TEXT_DOMAIN),
		)));
		// リンク先URL
		$wp_customize->add_setting('nmd_header_facebook_url', array(
			'type'				=> 'option',
			'sanitize_callback' => 'esc_url',
		));
		$wp_customize->add_control('nmd_header_facebook_url', array(
			'label'			=> __('FacebookボタンのURL', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_header',
			'settings'		=> 'nmd_header_facebook_url',
			'type'			=> 'text',
			'input_attrs' => array(
				'placeholder' => __('https://example.com', NMD_TEXT_DOMAIN),
			),
		));
		// リンク先URL
		$wp_customize->add_setting('nmd_header_twitter_url', array(
			'type'				=> 'option',
			'sanitize_callback' => 'esc_url',
		));
		$wp_customize->add_control('nmd_header_twitter_url', array(
			'label'			=> __('TwitterボタンのURL', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_header',
			'settings'		=> 'nmd_header_twitter_url',
			'type'			=> 'text',
			'input_attrs' => array(
				'placeholder' => __('https://example.com', NMD_TEXT_DOMAIN),
			),
		));
		// リンク先URL
		$wp_customize->add_setting('nmd_header_instagram_url', array(
			'type'				=> 'option',
			'sanitize_callback' => 'esc_url',
		));
		$wp_customize->add_control('nmd_header_instagram_url', array(
			'label'			=> __('InstagramボタンのURL', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_header',
			'settings'		=> 'nmd_header_instagram_url',
			'type'			=> 'text',
			'input_attrs' => array(
				'placeholder' => __('https://example.com', NMD_TEXT_DOMAIN),
			),
		));

		// CTA
		$wp_customize->add_setting('nmd_header_cta_heading', array(
			'sanitize_callback' => 'nmd_no_sanitize',
		));
		$wp_customize->add_control(new Nmd_Custom_Heading($wp_customize, 'nmd_header_cta_heading', array(
			'section' => 'nmd_section_header',
			'label'   => __('ヘッダーCTA設定', NMD_TEXT_DOMAIN),
			'description'   => __('「中央寄せCTA」を選択した場合に表示されます。', NMD_TEXT_DOMAIN),
		)));
		// リンク先URL
		$wp_customize->add_setting('nmd_header_cta_url', array(
			'type'				=> 'option',
			'sanitize_callback' => 'esc_url',
		));
		$wp_customize->add_control('nmd_header_cta_url', array(
			'label'			=> __('ボタンのリンク先URL', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_header',
			'settings'		=> 'nmd_header_cta_url',
			'type'			=> 'text',
			'input_attrs' => array(
				'placeholder' => __('https://example.com', NMD_TEXT_DOMAIN),
			),
		));
		$wp_customize->selective_refresh->add_partial('nmd_header_cta_url', array(
			'selector' => '#header-cta',
		));

		// ボタンのテキスト
		$wp_customize->add_setting('nmd_header_cta_text', array(
			'type'				=> 'option',
			'sanitize_callback' => 'sanitize_text_field',
			'default'			=> __('ボタン', NMD_TEXT_DOMAIN),
		));
		$wp_customize->add_control('nmd_header_cta_text', array(
			'label'			=> __('ボタンのテキスト', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_header',
			'settings'		=> 'nmd_header_cta_text',
			'type'			=> 'text',
		));
		// ボタンのカラー
		$wp_customize->add_setting('nmd_header_cta_color', array(
			'type'				=> 'option',
			'default'			=> '#000000',
			'sanitize_callback'	=> 'sanitize_hex_color',
		));
		$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'nmd_header_cta_color', array(
			'label'		=> __('ボタンのカラー', NMD_TEXT_DOMAIN),
			'section'	=> 'nmd_section_header',
			'settings'	=> 'nmd_header_cta_color',
		)));

		/**
		 * スマホハンバーガーメニュー設定 =========================================================
		 */
		$wp_customize->add_section('nmd_section_header_sp', array(
			'title'	=> __('スマホハンバーガーメニュー設定', NMD_TEXT_DOMAIN),
			'panel'	=> 'nmd_common_panel',
		));

		// ハンバーガーメニューのタイプ
		$wp_customize->add_setting('nmd_header_sp_type', array(
			'type'				=> 'option',
			'default'			=> 'default',
			'sanitize_callback'	=> 'nmd_sanitize_select',
		));
		$wp_customize->add_control('nmd_header_sp_type', array(
			'label'		=> __('ハンバーガーメニューのタイプ', NMD_TEXT_DOMAIN),
			'section'	=> 'nmd_section_header_sp',
			'settings'	=> 'nmd_header_sp_type',
			'type'		=> 'radio',
			'choices'	=> array(
				'default'	=> __('デフォルト', NMD_TEXT_DOMAIN),
				'slim'		=> __('スリム', NMD_TEXT_DOMAIN),
				'full'		=> __('全画面', NMD_TEXT_DOMAIN),
			),
		));

		// ハンバーガーメニューにロゴを表示
		$wp_customize->add_setting('nmd_header_sp_display_logo', array(
			'sanitize_callback'	=> 'nmd_sanitize_checkbox',
			'default' => 'checked',
		));
		$wp_customize->add_control('nmd_header_sp_display_logo', array(
			'label'			=> 'ハンバーガーメニューにロゴを表示させる',
			'section'		=> 'nmd_section_header_sp',
			'settings'		=> 'nmd_header_sp_display_logo',
			'type'			=> 'checkbox',
		));

		/**
		 * サブヘッダー設定 =========================================================
		 */
		$wp_customize->add_section('nmd_section_sub_header', array(
			'title'			=> __('サブヘッダー設定', NMD_TEXT_DOMAIN),
			'panel'			=> 'nmd_common_panel',
			'description'	=> __('ヘッダーの上にサブヘッダーを設定できます。', NMD_TEXT_DOMAIN),
		));

		// サブヘッダーを表示させる
		$wp_customize->add_setting('nmd_sub_header_display', array(
			'type'				=> 'option',
			'sanitize_callback'	=> 'nmd_sanitize_checkbox',
		));
		$wp_customize->add_control('nmd_sub_header_display', array(
			'label'			=> __('サブヘッダーを表示させる', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_sub_header',
			'settings'		=> 'nmd_sub_header_display',
			'type'			=> 'checkbox',
		));

		// サブヘッダーの背景色
		$wp_customize->add_setting('nmd_sub_header_bg_color', array(
			'type'				=> 'option',
			'default'			=> '#000000',
			'sanitize_callback'	=> 'sanitize_hex_color',
		));
		$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'nmd_sub_header_bg_color', array(
			'label'		=> __('サブヘッダーの背景色', NMD_TEXT_DOMAIN),
			'section'	=> 'nmd_section_sub_header',
			'settings'	=> 'nmd_sub_header_bg_color',
		)));

		// テキストタイプ
		$wp_customize->add_setting('nmd_sub_header_text_type', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'description',
		));
		$wp_customize->add_control('nmd_sub_header_text_type', array(
			'label'			=> __('サブヘッダー左上のテキスト', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_sub_header',
			'settings'		=> 'nmd_sub_header_text_type',
			'type'			=> 'radio',
			'choices'		=> array(
				'description'	=> __('サイトキャッチフレーズ', NMD_TEXT_DOMAIN),
				'custom'		=> __('カスタム', NMD_TEXT_DOMAIN),
				'none'			=> __('テキストなし', NMD_TEXT_DOMAIN),
			),
		));
		$wp_customize->selective_refresh->add_partial('nmd_sub_header_text_type', array(
			'selector' => '#sub-header-concept',
		));

		// カスタムを選んだ場合のテキスト
		$wp_customize->add_setting('nmd_sub_header_text', array(
			'type'				=> 'option',
			'sanitize_callback' => 'sanitize_text_field',
		));
		$wp_customize->add_control('nmd_sub_header_text', array(
			'label'		=> __('カスタムを選んだ場合はこちらにテキストを入力してください。', NMD_TEXT_DOMAIN),
			'section'	=> 'nmd_section_sub_header',
			'settings'	=> 'nmd_sub_header_text',
			'type'		=> 'text',
		));

		// 見出し
		$wp_customize->add_setting('nmd_sub_header_sns_heading', array(
			'sanitize_callback' => 'nmd_no_sanitize',
		));
		$wp_customize->add_control(new Nmd_Custom_Heading($wp_customize, 'nmd_sub_header_sns_heading', array(
			'section' => 'nmd_section_sub_header',
			'label'   => __('各種SNSのリンク先', NMD_TEXT_DOMAIN),
		)));

		// 各SNSのURL
		// リンク先URL
		$wp_customize->add_setting('nmd_sub_header_facebook_url', array(
			'type'				=> 'option',
			'sanitize_callback' => 'esc_url',
		));
		$wp_customize->add_control('nmd_sub_header_facebook_url', array(
			'label'			=> __('FacebookボタンのURL', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_sub_header',
			'settings'		=> 'nmd_sub_header_facebook_url',
			'type'			=> 'text',
			'input_attrs' => array(
				'placeholder' => __('https://example.com', NMD_TEXT_DOMAIN),
			),
		));
		// リンク先URL
		$wp_customize->add_setting('nmd_sub_header_twitter_url', array(
			'type'				=> 'option',
			'sanitize_callback' => 'esc_url',
		));
		$wp_customize->add_control('nmd_sub_header_twitter_url', array(
			'label'			=> __('TwitterボタンのURL', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_sub_header',
			'settings'		=> 'nmd_sub_header_twitter_url',
			'type'			=> 'text',
			'input_attrs' => array(
				'placeholder' => __('https://example.com', NMD_TEXT_DOMAIN),
			),
		));
		// リンク先URL
		$wp_customize->add_setting('nmd_sub_header_instagram_url', array(
			'type'				=> 'option',
			'sanitize_callback' => 'esc_url',
		));
		$wp_customize->add_control('nmd_sub_header_instagram_url', array(
			'label'			=> __('InstagramボタンのURL', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_sub_header',
			'settings'		=> 'nmd_sub_header_instagram_url',
			'type'			=> 'text',
			'input_attrs' => array(
				'placeholder' => __('https://example.com', NMD_TEXT_DOMAIN),
			),
		));
		// リンク先URL
		$wp_customize->add_setting('nmd_sub_header_line_url', array(
			'type'				=> 'option',
			'sanitize_callback' => 'esc_url',
		));
		$wp_customize->add_control('nmd_sub_header_line_url', array(
			'label'			=> __('LINEボタンのURL', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_sub_header',
			'settings'		=> 'nmd_sub_header_line_url',
			'type'			=> 'text',
			'input_attrs' => array(
				'placeholder' => __('https://example.com', NMD_TEXT_DOMAIN),
			),
		));
		// リンク先URL
		$wp_customize->add_setting('nmd_sub_header_youtube_url', array(
			'type'				=> 'option',
			'sanitize_callback' => 'esc_url',
		));
		$wp_customize->add_control('nmd_sub_header_youtube_url', array(
			'label'			=> __('YouTubeボタンのURL', NMD_TEXT_DOMAIN),
			'section'		=> 'nmd_section_sub_header',
			'settings'		=> 'nmd_sub_header_youtube_url',
			'type'			=> 'text',
			'input_attrs' => array(
				'placeholder' => __('https://example.com', NMD_TEXT_DOMAIN),
			),
		));

		/**
		 * サイドバーデザイン =========================================================
		 */
		$wp_customize->add_section('nmd_section_sidebar_design', array(
			'title'			=> __('サイドバーデザイン', NMD_TEXT_DOMAIN),
			'panel'			=> 'nmd_common_panel',
			'description'	=> __('サイドバーのデザインが選択できます。', NMD_TEXT_DOMAIN),
		));
		$wp_customize->add_setting('nmd_sidebar_design_type', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'default',
		));
		$wp_customize->add_control('nmd_sidebar_design_type', array(
			'label'		=> __('サイドバーのデザインタイプ', NMD_TEXT_DOMAIN),
			'section'	=> 'nmd_section_sidebar_design',
			'settings'	=> 'nmd_sidebar_design_type',
			'type'		=> 'select',
			'choices'	=> array(
				'default'		=> __('デフォルト', NMD_TEXT_DOMAIN),
				'bg'		=> __('タイトル背景色', NMD_TEXT_DOMAIN),
				'comic'	=> __('コミック', NMD_TEXT_DOMAIN),
				'border'	=> __('ボーダー', NMD_TEXT_DOMAIN),
			),
		));

		/**
		 * フッター設定 =========================================================
		 */
		$wp_customize->add_section('nmd_section_footer', array(
			'title'	=> __('フッター設定', NMD_TEXT_DOMAIN),
			'panel'	=> 'nmd_common_panel',
		));

		// コピーライト
		$wp_customize->add_setting('nmd_copyright_year', array(
			'type'				=> 'option',
			'sanitize_callback' => 'sanitize_text_field',
		));
		$wp_customize->add_control('nmd_copyright_year', array(
			'label'			=> 'サイト開設年',
			'description'	=> '「202X」',
			'section'		=> 'nmd_section_footer',
			'settings'		=> 'nmd_copyright_year',
			'type'			=> 'text',
		));
		$wp_customize->selective_refresh->add_partial('nmd_copyright_year', array(
			'selector' => '#c-copyright',
		));

		// 現在の年を表示
		$wp_customize->add_setting( 'nmd_copyright_this_year', array(
			'type'				=> 'option',
			'sanitize_callback'	=> 'nmd_sanitize_checkbox',
		) );
		$wp_customize->add_control( 'nmd_copyright_this_year', array(
			'label'			=> '現在の年を表示',
			'description'	=> '開設年が今年の場合、翌年から表示されます。',
			'section'		=> 'nmd_section_footer',
			'settings'		=> 'nmd_copyright_this_year',
			'type'			=> 'checkbox',
		) );

		// サイトの著作権者（運営者）
		$wp_customize->add_setting( 'nmd_copyright_author', array(
			'type'				=> 'option',
			'sanitize_callback'	=> 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'nmd_copyright_author', array(
			'label'			=> 'サイトの著作権者（運営者）',
			'description'	=> '未入力の場合はサイト名が表示されます。',
			'section'		=> 'nmd_section_footer',
			'settings'		=> 'nmd_copyright_author',
			'type'			=> 'text',
		) );
	}
	add_action('customize_register', 'nmd_customizer_register_common');
}
